# NYC SCHOOLS Project 

Runs on iOS16.0 and above 
- No Coco pods needed
- Few basic Unit test available  
- Data from `https://data.cityofnewyork.us/`

## Installation 

- Clone the repo
- Change the team appropriately 
- Build 
- Needs a network connection for optimal experience 

## Versions
 v1.0.0 
 </br>
 Basic features like 
 - download , decode and model data 
 - Show the data on a table 
 - on select show the different SAT scores 
 - search based on school name
 
 
## Improvements 

- Needs UI upgrades
- Caching of data
- offline data support 
- database 
- fuller API support 
- More unit testing 
- Better UI for IPad support
- Improvements to search based on location? etc 
- Move to top feature 
- Show schools which are on the SAT results but not on the Schools dataset 
- Flatten the datasources in models 
- no network indication 
- All orientations support 

